Upscale autodialer agents count by an amount
This endpoint allows you to increase the agents count in your Autodialer.
During a purchase request you determine the maximum amount of agents, that can be registered in your Autodialer. This endpoint allows you to increase that value by a certain amount of agents. If you pass a value less than or equal 0, you will receive a validation error.
The id parameter used in this request refers to the unique Autodialer subscription plan identifier. This ID is NOT arbitrary and must be obtained from the Autodialer API.
You can retrieve available subscription IDs via GET /api/v1/autodialer/subscriptions. Also, from this endpoint you can retrieve current agents_count value of your Autodialer.
Each item in the response contains a unique id field, which should be used as the path parameter for this endpoint.
Path Parameters
Autodialer subscription unique id
1 <= valueHeader Parameters
Your API token
Request Body
application/json
Autodialer upscale request
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://dev-refactor-api-e.voipenv.uk/api/v1/autodialer/subscriptions/1/upscale" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}